{% if privexec_only %}
{%     if configuration_session %}
{%        include 'UTILITY_configure_session.j2' %}
{%     else %}
{%        include 'UTILITY_configure_terminal.j2' %}
{%     endif %}
{% endif %}
{% if ansible_network_os == 'arista.eos.eos' %}
{%     if role in ['leaf', 'access'] %}
interface Port-Channel51
{%         if 'leaf01Verwaltung' in inventory_hostname %}
   description UPLINK_eth51-52-->eth1/1/1_spine01-02
{%         elif 'leaf02Werkstatt' in inventory_hostname %}
   description UPLINK_eth51-52-->eth1/1/2_spine01-02
{%         elif 'leaf03LagerhalleWEST' in inventory_hostname %}
   description UPLINK_eth51-52-->eth1/1/3_spine01-02
{%         elif 'leaf04LagerhalleOST' in inventory_hostname %}
   description UPLINK_eth51-52-->eth1/1/4_spine01-02
{%         endif %}
   switchport trunk native vlan 42
{%         if 'leaf01Verwaltung' in inventory_hostname %}
   switchport trunk allowed vlan 10,20,250
{%         elif 'leaf02Werkstatt' in inventory_hostname %}
   switchport trunk allowed vlan 10,20,50-51,250
{%         elif 'leaf03LagerhalleWEST' in inventory_hostname or 'leaf04LagerhalleOST' in inventory_hostname %}
   switchport trunk allowed vlan 10,20,30,50-51,250
{%         endif %}
   switchport mode trunk
   storm-control broadcast level 1
!
{%     endif %}
{% elif ansible_network_os == 'cisco.ios.ios' %}
{% elif ansible_network_os == 'community.network.ce' %}
{%     if 'huawei_vrp' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{%     if 'huawei_yunshanos' in group_names %}
{%         if 'huawei_campus' in group_names %}
{%         endif %}
{%         if 'huawei_datacenter' in group_names %}
{%         endif %}
{%     endif %}
{% elif ansible_network_os == 'dellemc.os10.os10' %}
{%     if role in ['spine', 'core'] %}
{%         for i in range(1, 5) %}
interface port-channel{{ i }}
{%             if i == 1 %}
 description eth1/1/{{ i }}-->eth51-52_leaf0{{ i }}Verwaltung[MC-LAG]
{%             elif i == 2 %}
 description eth1/1/{{ i }}-->eth51-52_leaf0{{ i }}Werkstatt[MC-LAG]
{%             elif i == 3 %}
 description eth1/1/{{ i }}-->eth51-52_leaf0{{ i }}LagerhalleWEST[MC-LAG]
{%             elif i == 4 %}
 description eth1/1/{{ i }}-->eth51-52_leaf0{{ i }}LagerhalleOST[MC-LAG]
{%             endif %}
 no shutdown
 switchport mode trunk
 switchport access vlan 42
{%             if i == 1 %}
 switchport trunk allowed vlan 10,20,250
{%             elif i == 2 %}
 switchport trunk allowed vlan 10,20,50-51,250
{%             elif i in [3, 4] %}
 switchport trunk allowed vlan 10,20,30,50-51,250
{%             endif %}
 vlt-port-channel {{ i }}
 spanning-tree guard root
!
{%         endfor %}
interface port-channel27
 description UPLINK_eth1/1/27-->lan1-2_Firewall[MC-LAG]
 no shutdown
 switchport access vlan 1254
 vlt-port-channel 27
!
{%     endif %}
{% elif ansible_network_os == 'dellemc.os9.os9' %}
{% elif ansible_network_os == 'dellemc.os6.os6' %}
{% elif ansible_network_os == 'community.network.aruba' %}
{% endif %}
{% if privexec_only %}
{%     if configuration_session %}
{%         include 'UTILITY_show_session-config_diffs.j2' %}
{%         include 'UTILITY_commit.j2' %}
{%     endif %}
{%     include 'UTILITY_end.j2' %}
{% endif %}
